Subject: Re: [patch] workaround zd1201 interference problem

From: Pavel Machek <[email-masked]>
Date: Thu, 8 Jun 2006 09:05:25 +0200

Hi!

> >Well, I'll try _enable() alone, but it seems to me that _enable()
> >command is needed to initialize radio properly. I do not think we can
> >get much further without firmware sources...
> 
> If you can formulate a proper and technical description of the issue 
> (and exactly what is needed to workaround it), I can contact ZyDAS for 
> you. They have been very helpful with ZD1211.

Okay, the issue is:

if you plug zd1201 into USB, it starts jamming radio,
immediately. Enable/disable, or iwlist wlan0 scan, or basically any
operation unjams the radio. This patch works it around:

diff --git a/drivers/net/wireless/zd1201.c b/drivers/net/wireless/zd1201.c
index 335eaf3..dcc7bc7 100644
--- a/drivers/net/wireless/zd1201.c
+++ b/drivers/net/wireless/zd1201.c
@@ -1835,8 +1835,8 @@ static int zd1201_probe(struct usb_inter
 	    zd->dev->name);
 	
 	usb_set_intfdata(interface, zd);
-	zd1201_enable(zd);
-	zd1201_disable(zd);
+	zd1201_enable(zd);	/* zd1201 likes to startup enabled, interfering */
+	zd1201_disable(zd); 	/* with all the wifis in range */
 	return 0;
 
 err_net:

....question is "is that right solution, or is something different
needed to solve that problem properly"?
								Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html